Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4615 - the termcap shipped with redhat is old and different from...
Summary: the termcap shipped with redhat is old and different from...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: termcap
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-19 21:13 UTC by paolo.zeppegno
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-21 17:08:28 UTC


Attachments (Terms of Use)

Description paolo.zeppegno 1999-08-19 21:13:54 UTC
the terminfo db.
An example of the problems arising is: dtterm is an
acceptable terminal name for programs compiled with ncurses
but not for those compiled with termcap.
Moreover, I see that redhat links programs that reside on
the root partition with -ltermcap and everything else with
ncurses. Why don't you just nuke termcap completely and use
the ncurses feature to embed in the library the description
of the linux console?

Comment 1 Bill Nottingham 1999-08-20 14:44:59 UTC
Termcap is used, in general for things that might be used if there is
no /usr mounted; ncurses is not installed on the root partition.


Note You need to log in before you can comment on or make changes to this bug.